import yaml
import numpy as np
from pathlib import Path

class ExpConfig:
    def __init__(self, file_path=Path(__file__).parent / 'experiment.yaml'):

        with open(file_path, 'r') as file:
            cfg_dict = yaml.safe_load(file)  # Load YAML into a dictionary

        self.invd_num_test = cfg_dict['invd_num_test']
        
        # TODO: Complete with other attributes

    def print_config(self):
        return